Bug 358831 (CVE-2007-5398) - CVE-2007-5398 Samba "reply_netbios_packet()" Buffer Overflow Vulnerability
Summary: CVE-2007-5398 Samba "reply_netbios_packet()" Buffer Overflow Vulnerability
Status: CLOSED ERRATA
Alias: CVE-2007-5398
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
medium
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=critical,source=vendorsec,repo...
Keywords: Security
Depends On: 359091 359101 359111 359121 359131 359141 359151 359161
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-10-30 18:38 UTC by Josh Bressers
Modified: 2010-02-24 03:34 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-14 14:55:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch (554 bytes, patch)
2007-10-30 18:47 UTC, Josh Bressers
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:1013 normal SHIPPED_LIVE Critical: samba security update 2007-11-15 15:38:41 UTC
Red Hat Product Errata RHSA-2007:1016 normal SHIPPED_LIVE Critical: samba security update 2007-11-15 16:25:11 UTC
Red Hat Product Errata RHSA-2007:1017 normal SHIPPED_LIVE Critical: samba security update 2007-11-15 16:29:13 UTC
Red Hat Product Errata RHSA-2007:1034 normal SHIPPED_LIVE Critical: samba security update 2007-11-15 19:01:45 UTC

Description Josh Bressers 2007-10-30 18:38:27 UTC
Secunia reported a buffer overflow flaw in Samba's reply_netbios_packet() function.

According to Secunia:
    This can be exploited to cause a stack-based buffer
    overflow by sending multiple specially crafted WINS "Name Registration"
    requests followed by a WINS "Name Query" request.

Acknowledgements:

Red Hat would like to thank Alin Rad Pop of Secunia Research for responsibly disclosing this issue.

Comment 3 Josh Bressers 2007-10-30 18:47:10 UTC
Created attachment 243791 [details]
Proposed patch

Comment 7 Mark J. Cox 2007-11-15 14:34:33 UTC
Now public at 
http://us1.samba.org/samba/security/CVE-2007-5398.html
removing embargo

Comment 8 Red Hat Product Security 2008-01-14 14:55:09 UTC
This issue was addressed in:

Red Hat Enterprise Linux:
  http://rhn.redhat.com/errata/RHSA-2007-1034.html
  http://rhn.redhat.com/errata/RHSA-2007-1013.html
  http://rhn.redhat.com/errata/RHSA-2007-1016.html
  http://rhn.redhat.com/errata/RHSA-2007-1017.html

Fedora:
  updated to fixed upstream version




Note You need to log in before you can comment on or make changes to this bug.